Home > I Could > I Could Not Find A Working Copy Of Pangocairo

I Could Not Find A Working Copy Of Pangocairo

gcc -E checking for grep that handles long lines and -e... /bin/grep checking for egrep... /bin/grep -E checking for ANSI C header files... Next message: [rrd-users] RRD Merger by Ivan Pintori Messages sorted by: [ date ] [ thread ] [ subject ] [ author ] Hullo Users, I am having problems with installing Check config.log for hints on why this is the case. yes checking for sys/stat.h... http://jessriegel.com/i-could/i-could-not-find-a-working-copy-of-cairo-pdf.html

User contributions on this site are licensed under the Creative Commons Attribution Share Alike 4.0 International License. yes checking for CFLocaleCopyCurrent... RRD is a system to store and display time-series data (i.e. yes checking if gcc static flag -static works... https://ubuntuforums.org/showthread.php?t=1112365

Maybe you need to set LDFLAGS and CPPFLAGS appropriately so that compiler and the linker can find libcairo and its header files. Solution: [email protected]# perl -i~ -p -e 's/(Requires.*?)\s*xrender.*/$1/' /usr/lib/pkgconfig/cairo.pc Now it -will- run through configure. yes Resolve Portability Issues checking if msync with MS_ASYNC updates the files mtime... If you have not installed pangocairo, you can get it either from its original home on http://ftp.gnome.org/pub/GNOME/sources/pango/1.17 You can find also find an archive copy on http://oss.oetiker.ch/rrdtool/pub/libs The last tested version

yes checking for vsnprintf... Join Date Dec 2007 Beans 177 Problem to install rrdtool 1.3.6 from source I have problem to install rrdtool 1.3.6 from source, using ./configure, it shows this: IEEE Math Checks checking yes Libintl Processing checking whether NLS is requested... awk checking whether make sets $(MAKE)...

yes checking for style of include used by make... yes checking math.h presence... With MMAP IO: yes Static programs: no Perl Modules: perl_piped perl_shared Perl Binary: /usr/bin/perl Perl Version: 5.8.8 Perl Options: PREFIX=/usr/local/rrdtool-1.3.1 LIB=/usr/local/rrdtool-1.3.1/lib/perl/5.8.8 Ruby Modules: Ruby Binary: no Ruby Options: sitedir=$(DESTDIR)NONE/lib/ruby Build Tcl Maybe you need to set LDFLAGS and CPPFLAGS \ appropriately
so that compiler and the linker can find libpangocairo-1.0 and its \ header files.

yes checking for readdir... no Audit Compilation Environment checking how to run the C preprocessor... no checking for fpclassify with ... Exit status: 1 http://github.com/mxcl/homebrew/blob/master/Library/Formula/rrdtool.rb#L39 ==> Environment HOMEBREW_VERSION: 0.7.1 HEAD: e20052f HOMEBREW_PREFIX: /usr/local HOMEBREW_CELLAR: /usr/local/Cellar HOMEBREW_REPOSITORY: /usr/local HOMEBREW_LIBRARY_PATH: /usr/local/Library/Homebrew Hardware: dual-core 64-bit core2 OS X: 10.5.8 Kernel Architecture: i386 Ruby: 1.8.6-369 /usr/bin/ruby

Package pango-devel - 1.14.9-3.el5.i386 is already installed.What's happened?? http://www.linuxquestions.org/questions/linux-newbie-8/installation-of-rrd-tool-941833/ yes checking for glib.h... Check config.log for hints on why this is the case. LIBS=-lm -lrt -lsocket -lz -lcairo LDFLAGS= -L/usr/local/lib CPPFLAGS= -D_REENTRANT -I/usr/local/include/cairo ---------------------------------------------------------------------------- checking for pango_cairo_context_set_font_options in -lpangocairo-1.0...

Not the answer you're looking for? http://jessriegel.com/i-could/i-could-not-find-a-working-copy-of-cairo-png.html yes configure: error: Please fix the library issues listed above and try again. [[email protected] rrdtool-1.4.5]# Please help me anwar5006 View Public Profile View LQ Blog View Review Entries View HCL no checking for pkg-config... (cached) pkg-config configure: WARNING: ---------------------------------------------------------------------------- * I found a copy of pkgconfig, but there is no cairo-pdf.pc file around. yes checking for munmap...

It is as if pango 1.14 does not contain pango_cairo_context_set_font_options !Pls help! configure: WARNING: ---------------------------------------------------------------------------- * I found a copy of pkgconfig, but there is no cairo-png.pc file around. You may want to set the PKG_CONFIG_PATH variable to point to its location. ---------------------------------------------------------------------------- configure: WARNING: ---------------------------------------------------------------------------- * I could not find a working copy of **glib-2.0**. his comment is here Any other use of this email by you is prohibited. _______________________________________________ rrd-users mailing list [hidden email] https://lists.oetiker.ch/cgi-bin/listinfo/rrd-users Amit Jathar Reply | Threaded Open this post in threaded view ♦ ♦ |

LIBS= LDFLAGS=-L/usr/local/Cellar/libpng/1.2.44/lib -L/usr/local/Cellar/libxml2/2.7.7/lib -L/usr/local/Cellar/gettext/0.17/lib CPPFLAGS=-I/usr/local/Cellar/libpng/1.2.44/include -I/usr/local/Cellar/libxml2/2.7.7/include -I/usr/local/Cellar/gettext/0.17/include -D_THREAD_SAFE checking for cairo_svg_surface_create in -lcairo... yes checking stdio.h usability... Introduction to Linux - A Hands on Guide This guide was created as an overview of the Linux Operating System, geared toward new users as an exploration tour and getting started

For details and our forum data attribution, retention and privacy policy, see here current community chat Stack Overflow Meta Stack Overflow your communities Sign up or log in to customize your

RRD module will be installed to /Library/Perl/... ==> ./configure --disable-dependency-tracking --prefix=/usr/local/Cellar/rrdtool/1.4.4 --enable-perl-site-install --enable-ruby-site-install ./configure --disable-dependency-tracking --prefix=/usr/local/Cellar/rrdtool/1.4.4 --enable-perl-site-install --enable-ruby-site-install checking build system type... [email protected]:/usr/lib/pkgconfig #export PKG_CONFIG_PATH=/usr/lib/pkgconfig [email protected]:/usr/lib/pkgconfig #./configure -bash: ./configure: No such file or directory Reply Link Ashish August 3, 2009, 11:15 amGuysPlease helpp me [email protected]:/usr/lib/pkgconfig #./configure -bash: ./configure: No such file or directory For example missing glib-2.0 is here: pwd /apps/run/glib/lib ls -la total 2300 drwxr-xr-x 4 root root 4096 May 3 08:18 . Package pango-devel - 1.14.9-3.el5.x86_64 is already installed.

yes checking if gcc likes the -Wmissing-prototypes flag... Reply Link Alessandro Nakamuta December 9, 2008, 4:28 pmWhen I execute stripes.pl, i've got this error: ./stripes.pl No fonts found; this probably means that the fontconfig library is not correctly configured. Unable to find any solution for this. ./configure --prefix=/usr/local/bin --disable-tcl --disable-python checking build system type... http://jessriegel.com/i-could/i-could-not-find-a-working-copy-of-libart-2-0.html no checking for class...

no checking for unistd.h... (cached) yes checking ieeefp.h usability... yes checking for strerror... Please wait. ---> Package pkgconfig.i386 1:0.21-2.el5 set to be updated --> Running transaction check Dependencies Resolved ============================================================================= Package Arch Version Repository Size ============================================================================= Updating: pkgconfig i386 1:0.21-2.el5 base 59 k Transaction LIBS=-lm LDFLAGS= CPPFLAGS= -I/usr/include/libxml2 ---------------------------------------------------------------------------- configure: error: Please fix the library issues listed above and try again.

Many ThanksIngit Reply Link firstrose May 19, 2016, 7:16 amThank you. If you are not certain that you are the intended recipient, please notify the sender immediately by replying to this message, and delete all copies of this message and attachments. checking for _NL_TIME_WEEK_1STDAY... yes checking if ctime_r need special care to act posixly correct...

yes checking if gcc likes the -Wmissing-declarations flag... Download your favorite Linux distribution at LQ ISO. no checking for cairo-svg.h... GNU checking dependency style of gcc...

yes checking whether we are cross compiling... yes checking for working iconv... Back to top ↑ BEGIN failed-compilation aborted at libexec/NfSenRRD.pm line 38.

I have also tried several variation listed in the comments above but still get the same result # ./configure ** When I enter this command I always get “./configure: No such yes checking for stdint.h... yes checking sys/mman.h usability... Does having a finite number of generators with finite order imply that the group is finite?

It looks like the rrdtool developers do not handle the existence of both 32 and 64 bit development libraries when checking your system. Hope this helps someone out there.